Page MenuHomePhabricator

On /en subpages the "edit" tab should be "view source", not "translate"
Closed, ResolvedPublic

Description

  1. Pick a translatable page
  2. Reach the /en subpage ("translation page")

I. Observed: a "Translate" button is shown in place of the "edit" button, linking Special:Translate where then you're advised to pick a non-source language.
II. Expected: the /en page can't be edited in any way, a better link target would be action=edit with "view source" as button label, as with protected pages.


Version: master
Severity: trivial
URL: https://www.mediawiki.org/wiki/Help:Links/en
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=56518
https://bugzilla.wikimedia.org/show_bug.cgi?id=50284
https://bugzilla.wikimedia.org/show_bug.cgi?id=35946

Details

Reference
bz61218
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 3:01 AM
bzimport set Reference to bz61218.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Feb 11 2014, 4:53 PM

In other words this is an edge case, exception to bug 35946 (which introduced the "Translate" tab).

Qgil added a comment.Feb 19 2014, 12:23 AM

What about a regular "Edit" link pointing to the equivalent source page?

Users might end up in /en pages without noticing, and seeing a "View source" link might confuse them.

"View source" is the regular label of the regular edit link when you can't actually edit.

Qgil added a comment.Feb 24 2014, 4:18 PM

Sure, but the fact is that users can edit the English text they are seeing. Only not in that /en page but in the source page that has exactly the same content.

We can try to explain to potential editors the weirdness of the "English translation of the English source text" so they understand where they need to go, or we can simply provide them a shortcut labeled "Edit" to get them started.

Change 213330 had a related patch set uploaded (by Nemo bis):
On /en subpages don't force the action=edit tab to "translate"

https://gerrit.wikimedia.org/r/213330

Nemo_bis claimed this task.May 25 2015, 8:55 AM
Nemo_bis set Security to None.

What ever the solution to this may be, I recommend to add a link to "create/edit in <users language>" in some prominent place, since (1) that is what users often want to do (2) no such link is on the /en page if a translation to the users language does not yet exist.

Btw. I for one most often get to the /en pages following links in /qqq or talk pages or twn support, and at about 90% of the times, while I am at them, also want to create translations for them.

I also recommend to refer to "source language pages" instead of /en pages even if /en pages currently are the only source language pages on twn. We can expect that to change on the long run. ;-)

Qgil added a comment.Jun 4 2015, 10:43 AM

We are trying to help all open tasks listed under "Work continues after Lyon" at the Wikimedia Hackathon 2015 workboard finding their best way forward. * If you are participating in Wikimania, consider adding the #Wikimania-Hackathon-2015 project to get this task in that loop, which is about to start. * If you think this project could welcome help from a dedicated Google Summer of Code or Outreachy intern, or from an Individual Engagement Grant, add the Possible-Tech-Projects project. * If you would like to receive some other type of support (organizing a Tech Talk, establishing contacts with existing developer teams in Wikimedia or elsewhere, travel sponsorship for a related activity... you name it), please create a subtask explaining your request and associate it with Developer-Advocacy (or you can start by commenting here if you prefer). * Keeping the description, priority and assigned fields up to date always helps. :) For some context about this message, see T101151: Evaluate which projects showcased at the Wikimedia Hackathon should be supported further. It is the last communication related to Wikimedia-Hackathon-2015 that we will post here.

Do note that the tab says "edit" because we are using the "expensive" version of the hooks which determine whether the page is ediable, which are not run for the tab.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2015, 5:52 AM

Change 213330 merged by jenkins-bot:
On /en subpages don't force the action=edit tab to "translate"

https://gerrit.wikimedia.org/r/213330

Nemo_bis closed this task as Resolved.Sep 28 2015, 6:05 AM

Thanks.